Bug 1128270 - Foreman is unable to read puppet modules when permissions in tarfile are 700/600
Summary: Foreman is unable to read puppet modules when permissions in tarfile are 700/600
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: puppet-support
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 18:30 UTC by Leah Fisher
Modified: 2015-08-11 13:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:15:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 488 None None None Never

Description Leah Fisher 2014-08-08 18:30:38 UTC
Description of problem:

Some of my puppet modules were created on a system with a umask of 0077 so all of the files have perms of 0700/0600.  When pulp preserves the permissions from the tarfile, these are only readable by the apache user.  This prevents the foreman and puppet users from being able to read the files. 


Version-Release number of selected component (if applicable):
pulp-server-2.4.0-0.29.beta.el6.noarch

How reproducible:


Steps to Reproduce:
1.  Create puppet module from directory that has no group or world permissions.
2.  Add module to your puppet repository in katello.
3.  Publish module to content view.
4.  Look at the permissions of the module and see that the directory is only readable by apache.

Actual results:


Expected results:

The foreman and puppet user need to be able to read these files.  If they are group and user owned by apache, these files need to be world readable as puppet/foreman are not in the apache group, but if they are group owned by puppet, they only need to be group readable.

Additional info:

Comment 1 Sayli Karmarkar 2014-08-13 16:07:11 UTC
We need a little more information about the steps to reproduce. Can you specify which specific puppet publisher did you use in step 3? Also which exact directory in step 4?

Comment 2 Leah Fisher 2014-08-13 16:24:49 UTC
I'm not sure what you mean by puppet publisher.  I'm using the katello-2.0-devel to pubish the puppet modules.  

The directory is /etc/puppet/environments/KT_ORG_Library_Baseline_2/modules.

Comment 3 Brian Bouterse 2015-02-28 22:15:14 UTC
Moved to https://pulp.plan.io/issues/488


Note You need to log in before you can comment on or make changes to this bug.